# class Puppet::Indirector::InstrumentationData::Local

### Public Instance Methods

destroy(request) click to toggle source

    # File lib/puppet/indirector/instrumentation_data/local.rb, line 19
    def destroy(request)
      raise Puppet::DevError, "You cannot remove instrumentation data"
    end

find(request) click to toggle source

    # File lib/puppet/indirector/instrumentation_data/local.rb, line 7
    def find(request)
      model.new(request.key)
    end

save(request) click to toggle source

    # File lib/puppet/indirector/instrumentation_data/local.rb, line 15
    def save(request)
      raise Puppet::DevError, "You cannot save instrumentation data"
    end

search(request) click to toggle source

    # File lib/puppet/indirector/instrumentation_data/local.rb, line 11
    def search(request)
      raise Puppet::DevError, "You cannot search for instrumentation data"
    end